containerName: simplestapi
environment:
  - DEBUG=true
  - DB=${www:network_address}
dependencies:
  - name: www
    image: nginx:latest
dockerfile: ./Dockerfile
ports:
  - 8080/tcp:8080
tests:
  - name: simple query
    expectedCode: 200
    responseContains: "1"
    queryType: GET
    url: /api/v1/params?parameter=DB

  - name: add env
    expectedCode: 201
    responseContains: EEE1=vvv1
    query: '[{"k":"EEE1", "v":"vvv1"}]'
    queryType: POST
    url: /api/v1/params